---
title:
  'OTel Community Day + Open Observability Summit: One Big Day for Open Source
  Observability'
linkTitle: OTel Community Day
date: 2025-06-13
author: '[Isabella Langan](https://github.com/isabella-rose-l) (Causely)'
cSpell:ignore: Causely Langan
---

On **June 26, 2025**,
[OTel Community Day and Open Observability Summit](https://events.linuxfoundation.org/open-observability-summit-otel-community-day/)
are joining forces at
[Open Source Summit North America](https://events.linuxfoundation.org/open-source-summit-north-america/).
The OpenTelemetry governance and technical committees, along with project
maintainers, are excited to present two community-led tracks, one co-located
event, and a shared goal: bring the observability community together to
collaborate, learn, and shape the future of open source observability.

**Open Observability Summit** is for developers, operators, and technical
leaders who rely on open source to gain deeper insight into their systems. Every
session is grounded in real-world experience and shaped by the community. Expect
hands-on learning, practical talks, and open dialogue.

**OTel Community Day** is a space for the OpenTelemetry community to celebrate
wins, share knowledge, and connect over where observability is headed. Our
[contributor experience survey results](../contribex-survey-results/) show that
OTel contributors are excited to collaborate in person, where they can not only
learn from each other and but also help end users with practical insights and
real-world examples. Whether you're building OTel or building with it, you'll
find your people here.

## Schedule

For convenience, a snapshot of the schedule is included below. Open it to search
for the topics of interest.

<details>
<summary class="mb-3">View schedule</summary>

{{< comment >}} cSpell:disable {{< /comment >}}

### Welcome + Keynotes

- **[Welcome + Opening Remarks](https://otelopenobservabilityna25.sched.com/event/223Or)**<br>
  by Austin Parker, honeycomb.io<br> 9:00am – 9:05am

- **[Keynote: Hybrid Cloud Architecture: Making Big Bets on Open Standards](https://otelopenobservabilityna25.sched.com/event/24dNu)**<br>
  by Margaret Dawson, Chronosphere<br> 9:08am – 9:18am

- **[Sponsored Keynote: Foundation-Led Innovation: OpenSearch's Impact on Modern Data Insights](https://otelopenobservabilityna25.sched.com/event/228KZ)**<br>
  by Dotan Horovits, AWS OpenSearch<br> 9:21am – 9:26am

- **[Keynote: OpenTelemetry and the Future of Open Source Observability](https://otelopenobservabilityna25.sched.com/event/24QRq)**<br>
  by Austin Parker, honeycomb.io<br> 9:29am – 9:39am

- **[Sponsored Keynote: Manage Logging Costs While Preserving Value](https://otelopenobservabilityna25.sched.com/event/24R7L)**<br>
  by Alok Bhide, Chronosphere<br> 9:42am – 9:47am

- **[Sponsored Keynote: Why Semantic Conventions Are OpenTelemetry's Most Important Contribution](https://otelopenobservabilityna25.sched.com/event/24R7t)**<br>
  by Gordon Radlein, Datadog<br> 9:50am – 9:55am

- **[Keynote: Supercharging Observability with LLMs](https://otelopenobservabilityna25.sched.com/event/25Uhx)**<br>
  by Alolita Sharma, Apple<br> 9:58am – 10:08am

### Technical Talks & Breakouts

- **[Building Composable OTel Pipelines: CI/CD, Testing, Team-First, and Scalable Design](https://otelopenobservabilityna25.sched.com/event/24Jot)**<br>
  by Anil Kuncham & Joe Canuel, DoorDash<br> 10:25am – 10:50am MDT

- **[The Life of a Span](https://otelopenobservabilityna25.sched.com/event/223A3)**<br>
  by Jamie Danielson, Honeycomb & Yuri Oliveira, OllyGarden<br> 10:25am –
  10:50am MDT

- **[Telemetry Showdown: Fluent Bit vs. OpenTelemetry Collector – A Comprehensive Benchmark Analysis](https://otelopenobservabilityna25.sched.com/event/24Jow)**<br>
  by Henrik Rexed, Dynatrace<br> 10:55am – 11:20am MDT

- **[Scaling OpenTelemetry for Modern Workloads: From Mobile to Mainframe](https://otelopenobservabilityna25.sched.com/event/223A6)**<br>
  by Vashistha Kumar Singh & Martin Tali, Broadcom<br> 10:55am – 11:20am MDT

- **[Correlating Application and Database Performance Using OpenTelemetry](https://otelopenobservabilityna25.sched.com/event/24Joz)**<br>
  by Lin Lin & Tammy Baylis, SolarWinds<br> 11:25am – 11:50am MDT

- **[The Signal in the Storm: Practical Strategies for Managing Telemetry Overload](https://otelopenobservabilityna25.sched.com/event/223A9)**<br>
  by Endre Sara, Causely<br> 11:25am – 11:50am MDT

### Lightning Talks

- **[Faster Insights and Improved Accuracy: Spotify's Prometheus Upgrade](https://otelopenobservabilityna25.sched.com/event/24Jp2)**<br>
  by Lauren Roshore, Spotify<br> 11:55am – 12:10pm MDT

- **[Beyond Good Enough: Why We Want a Kotlin API and SDK](https://otelopenobservabilityna25.sched.com/event/223AC)**<br>
  by Hanson Ho, Embrace<br> 11:55am – 12:10pm MDT

- **[Weaving Legacy and OpenTelemetry: A Schema Strategy With Weaver](https://otelopenobservabilityna25.sched.com/event/24Jp5)**<br>
  by Andrew Wang, Comcast<br> 12:15pm – 12:30pm MDT

- **[Avoiding Chaotic Dysfunction: The 'Don't Do This' Guide To OpenTelemetry](https://otelopenobservabilityna25.sched.com/event/223AU)**<br>
  by Budhaditya Bhattacharya, Tyk<br> 12:15pm – 12:30pm MDT

- **[Observability-First DevSecOps: Building Resilient Multi-Cloud Pipelines With OpenTelemetry and GitOps](https://otelopenobservabilityna25.sched.com/event/24Jp8)**<br>
  by Ravindra Bhargava, UPS<br> 1:30pm – 1:45pm MDT

- **[Introducing Distrogen: A Tool for Generating OpenTelemetry Collector Distributions](https://otelopenobservabilityna25.sched.com/event/223AR)**<br>
  by Braydon Kains, Google<br> 1:30pm – 1:45pm MDT

- **[Observability at Scale: Building Cloud Native Pipelines for AI Infrastructure](https://otelopenobservabilityna25.sched.com/event/24JpB)**<br>
  by Mansi Agrawal, LinkedIn<br> 1:50pm – 2:05pm MDT

- **[From Zero To Developer: My One Year Serendipity Journey With OpenTelemetry](https://otelopenobservabilityna25.sched.com/event/223Ad)**<br>
  by Diana Todea, Aircall<br> 1:50pm – 2:05pm MDT

### Afternoon Talks & Panels

- **[Telemetry Pipelines: Never Gonna Let You Down](https://otelopenobservabilityna25.sched.com/event/24JpE)**<br>
  by Yuri Oliveira, OllyGarden & Alex Boten, Honeycomb<br> 2:10pm – 2:35pm MDT

- **[Tricked Out Traces](https://otelopenobservabilityna25.sched.com/event/223AF)**<br>
  by Henrik Rexed, Dynatrace<br> 2:10pm – 2:35pm MDT

- **[No Dependencies. No Plugins. Just Native OpenTelemetry](https://otelopenobservabilityna25.sched.com/event/24JpH)**<br>
  by Liudmila Molkova, Microsoft<br> 2:40pm – 3:05pm MDT

- **[Beyond OTLP: Unlocking the Potential of OS-native Tracing](https://otelopenobservabilityna25.sched.com/event/223Aa)**<br>
  by Cijo Thomas & Chris Gray, Microsoft Corporation<br> 2:40pm – 3:05pm MDT

- **[Let's Generate Art and Traces!](https://otelopenobservabilityna25.sched.com/event/24JpK)**<br>
  by Tiffany Jernigan, Grafana Labs<br> 3:10pm – 3:35pm MDT

- **[Panel: The Spec-tacular Game Show](https://otelopenobservabilityna25.sched.com/event/223AX)**<br>
  by Liudmila Molkova (Microsoft), Ted Young (ServiceNow), Tyler Helmuth, Jamie
  Danielson & Alex Boten (Honeycomb)<br> 3:10pm – 3:45pm MDT

- **[How To Think About Instrumentation Overhead](https://otelopenobservabilityna25.sched.com/event/24JpN)**<br>
  by Jason Plumb, Splunk<br> 4:00pm – 4:25pm MDT

- **[Building Resilient Telemetry Pipelines: Mastering the OpenTelemetry Collector's Persistent Queue](https://otelopenobservabilityna25.sched.com/event/223AI)**<br>
  by Denton Krietz, Bindplane<br> 4:00pm – 4:25pm MDT

- **[Monitoring GenAI Applications](https://otelopenobservabilityna25.sched.com/event/24JpQ)**<br>
  by Prasad Mujumdar, Okahu AI<br> 4:30pm – 4:55pm MDT

- **[Innovating on Top of Open Source Observability – Pushing the Boundaries of Innovation](https://otelopenobservabilityna25.sched.com/event/24JpT)**<br>
  by Vijay Samuel & Wei Tang, eBay<br> 5:00pm – 5:25pm MDT

- **[Introducing a Lightweight Rust OpenTelemetry Collector](https://otelopenobservabilityna25.sched.com/event/223AO)**<br>
  by Mike Heffner & Ray Jenkins, Streamfold<br> 5:00pm – 5:25pm MDT

- **[Taming Metric Cardinality: Practical Cost Reduction With the OpenTelemetry Collector](https://otelopenobservabilityna25.sched.com/event/24JpW)**<br>
  by Jon Reeve & Eric Anderson, ControlTheory<br> 5:30pm – 5:45pm MDT

- **[From GenAI Applications to AI Models: Unraveling End to End AI Observability With OpenTelemetry](https://otelopenobservabilityna25.sched.com/event/223AL)**<br>
  by Huxing Zhang & Minghui Zhang, Alibaba Cloud<br> 5:30pm – 5:45pm MDT

{{< comment >}} cSpell:enable {{< /comment >}}

</details>

> <i class="fa-solid fa-circle-info"></i> **Schedule is subject to change**. For
> the most up-to-date information or to _build your own schedule_, see the
> event's
> [Schedule](https://events.linuxfoundation.org/open-observability-summit-otel-community-day/program/schedule/)
> page.

## Join us!

Come listen, learn, and get involved in OpenTelemetry. See you in Denver!
