---
title: Action Required - Slack Workspace Changes are Coming Friday, June 20
linkTitle: Slack Workspace Changes
date: 2025-06-17
author: OpenTelemetry maintainers
---

Yesterday the Cloud Native Computing Foundation (CNCF)
[announced](https://www.cncf.io/blog/2025/06/16/cncf-slack-workspace-changes-coming-on-friday-june-20/)
that CNCF Slack workspace will be converted from an enterprise plan to a free
plan on Friday, June 20, 2025. This will have implications for how Slack works
for the OpenTelemetry community, including a few limitations that we will need
to be aware of; however, we don’t anticipate this change to radically impact our
collaboration.

Although there will be no disruption to OpenTelemetry's access to the Slack
workspace, all users and project contributors should consider taking the
following actions:

- **Export private channel histories and direct messages.** The new free Slack
  plan keeps posts for only 90 days. Come Friday, you will no longer have access
  to any posts older than 90 days. CNCF is backing up all public channel
  histories. If you have private channels or direct messages that you would like
  to keep, follow the
  [CNCF guide](https://github.com/cncf/foundation/blob/main/policies-guidance/slack-backup.md)
  to export and store the content locally.
- **Back up files.** If you have files stored in Slack, they will be deleted!
  Download and save them to GitHub or Google Docs before Friday.
- **Save pinned posts.** If you have important information stored in pinned
  posts, it might not be accessible on Friday. Make a copy of the information
  and store it in GitHub or Google Docs. You can add a bookmark to your channel
  that links to that location.

See the CNCF's
[blog post](https://www.cncf.io/blog/2025/06/16/cncf-slack-workspace-changes-coming-on-friday-june-20/)
for more details. For questions or to follow the discussion, join the
[#slack-faq](https://cloud-native.slack.com/archives/C091NUGP5KN) channel.
