---
title: Vote and Comment on GitHub Issues
linkTitle: Issue participation
description: >-
  Help us prioritize work in OpenTelemetry by contributing to GitHub issues with
  your votes and comments.
weight: 5
cSpell:ignore: triagers upvote
---

At OpenTelemetry, we're always looking for ways to make it easier for our end
users and community members to have their voices heard. We know that not
everyone can join SIG meetings or participate in every Slack discussion, but
your input is crucial to shaping the project's direction.

## How you can help

You can help OpenTelemetry in two simple ways:

1. Leave a 👍
   **[reaction](https://github.blog/news-insights/product-news/add-reactions-to-pull-requests-issues-and-comments/)**
   on the issue description to upvote issues that you would like us to
   prioritize. This avoids the need for comments like _"me too"_, _"+1"_, or
   comments with a single emoji, which can sometimes create noise. It also
   allows maintainers to identify the most popular issues across their
   repositories in a standard way.
2. Comment on issues to **provide additional context** that can help triagers
   and maintainers understand the impact. You can tell us how a particular bug,
   or feature, is affecting your environment, or your ability to use
   OpenTelemetry.

## Popularity Doesn't Guarantee Priority

While we highly value your input and encourage you to use reactions and comments
on GitHub issues to show your interest, it's important to understand that
OpenTelemetry's
[Special Interest Groups (SIGs)](https://github.com/open-telemetry/community#special-interest-groups)
need to balance multiple priorities to align with the project's overall
direction.

While maintainers do consider reaction counts and comments when prioritizing
issues, popularity isn't the sole factor.

Here are some reasons why a popular issue might not be prioritized immediately:

- High-Priority SIG Work: This includes critical tasks like security
  enhancements or ensuring compliance with specifications.
- Dependencies: Some issues require other foundational work to be completed
  before they can be addressed.
- Project Alignment: Requests or proposals that don't align with the project's
  strategic direction may not be prioritized.

Your reactions provide valuable insight into community interest, and we
appreciate your engagement.
